apiVersion: upgrade.cattle.io/v1
kind: Plan
metadata:
  name: edge-os-upgrade
  namespace: system-upgrade
  labels:
    k3s-upgrade: server
spec:
  concurrency: 1
  version: 0.6.0
  tolerations:
    - operator: Exists
  nodeSelector:
    matchExpressions:
      - key: elemental.cattle.io/image
        operator: Exists
  serviceAccountName: system-upgrade
  cordon: true
  upgrade:
    image: docker.io/johnjcool/edge-os
    command:
      - "/usr/sbin/suc-upgrade"
